if not "%1"=="" goto next
ECHO One foldername required
goto :eof
:next
del stage1.har 
del rawdata.har 
del outfile.har 
del transmap.har 
del aggreg.har 
del outfile.har 
del GTAPUNIF.har
del %1.har 
del %1.csv 

del/s *.bak
del/s *.gs?
del/s *.log
del/s *.min
del/s *.inf
del/s *.mnc
del/s *.cvl
del dgtransmap.har
del transmap.har
del aggreg.har

copy stage1.tab %1
copy stage1.cmf %1
copy dodata.bat %1

cd %1
call dodata
if errorlevel 1 goto error
copy stage1.har ..
copy rawdata.har ..
cd ..

tablo -pgs transmap >tbtrmap.log
if errorlevel 1 goto error
gemsim -cmf transmap.cmf
if errorlevel 1 goto error

tablo -pgs aggreg >tbaggreg.log
if errorlevel 1 goto error
gemsim -cmf aggreg.cmf
if errorlevel 1 goto error

tablo -pgs common3 >tbcommon3.log
if errorlevel 1 goto error
gemsim -cmf common3.cmf
if errorlevel 1 goto error

copy outfile.har %1.har 

intermap outfile.har  osec2com gsec2com  %1.csv
if errorlevel 1 goto error

md output
copy %1.har output 
copy %1.csv output 
copy stage1.har output\%1disagg.har 


dir/od output\%1*.*  
echo  %1 BATCH JOB SUCCESSFUL
exit /B 0
:error
echo off
echo ###### ERROR: %1 BATCH JOB FAILED #####
echo Check log file; most recent is listed last
dir/od *.log
exit /B 1
:endbat

